Name:		htmlcleaner
Version:	2.2.1
Release:	%mkrel 14
Group:          Development/Java
Summary:	HTML parser written in Java
License:	BSD
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}/%{name}%20v%{version}/%{name}-%{version}-src.zip
Patch0:		java-source-target-version.patch
URL:		https://htmlcleaner.sourceforge.net/

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	jdom
BuildRequires:	maven-local

%description
HtmlCleaner is open-source HTML parser written in Java. HTML found on Web is
usually dirty, ill-formed and unsuitable for further processing.
For any serious consumption of such documents, it is necessary to first
clean up the mess and bring the order to tags, attributes and ordinary text.
For the given HTML document, HtmlCleaner reorders individual elements and
produces well-formed XML. By default, it follows similar rules that the most
of web browsers use in order to create Document Object Model. However, user
may provide custom tag and rule set for tag filtering and balancing.


%package javadoc
Summary:	API documentation for %{name}


%description javadoc
This package contains the API documentation for %{name}


%prep
%setup -q -c -T
jar xf %{SOURCE0}
sed -i -e 's!\r!!g' licence.txt
%patch -P 0 -p1

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove pom:build/pom:extensions

# avoid Pre-built JARfiles
JARfiles=""
for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
JARfiles="$JARfiles $j"
fi
done
if [ ! -z "$JARfiles" ] ; then
echo "These JARfiles should be deleted and symlinked to system JARfiles: $JARfiles"
exit 1
fi


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc licence.txt


%files javadoc -f .mfiles-javadoc
%doc licence.txt




%changelog
* Thu May 23 2024 ns80 <ns80> 2.2.1-14.mga10
+ Revision: 2066691
- rebuild for java 21

* Sun Mar 27 2022 umeabot <umeabot> 2.2.1-13.mga9
+ Revision: 1828987
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 2.2.1-12.mga8
+ Revision: 1653110
- set java source and target version to 1.8 to fix build

* Sat Feb 15 2020 umeabot <umeabot> 2.2.1-11.mga8
+ Revision: 1528464
- Mageia 8 Mass Rebuild

* Wed Aug 21 2019 daviddavid <daviddavid> 2.2.1-10.mga8
+ Revision: 1430778
- fix build (sync with fedora)

* Tue Sep 18 2018 umeabot <umeabot> 2.2.1-9.mga7
+ Revision: 1261655
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 2.2.1-8.mga6
+ Revision: 1103187
- Fix BuildRequires
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 2.2.1-7.mga6
+ Revision: 982616
- Second rebuild of the java stack

* Sun Feb 28 2016 umeabot <umeabot> 2.2.1-6.mga6
+ Revision: 980456
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-5.mga5
+ Revision: 749665
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 2.2.1-3.mga5
+ Revision: 625383
- imported package htmlcleaner


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marcin Dulak <Marcin.Dulak@gmail.com> - 2.2.1-2
- fix bug #973084 comment #11

* Fri Jun 07 2013 Marcin Dulak <Marcin.Dulak@gmail.com> - 2.2.1-1
- initial release
